/*
 *	include/linux/rbf_fs_i.h
 *	Copyright (C) 2001 Andrew Cannon <ajc@gmx.net>
 */

#ifndef _LINUX_RBF_FS_I
#define _LINUX_RBF_FS_I

/*
 * RBF file system in-core inode info
 */
struct rbf_inode_info {
	long		iu_segaddr;
	long		iu_segstart;
	long		iu_segend;
	long		iu_segnum;
	long		iu_nsect;
	time_t		iu_create;
	loff_t		mmu_private;
	struct inode	vfs_inode;
};

static inline struct rbf_sb_info *rbf_sb(struct super_block *sb)
{
	return sb->s_fs_info;
}

static inline struct rbf_inode_info *rbf_i(struct inode *inode)
{
	return container_of(inode, struct rbf_inode_info, vfs_inode);
}

#endif	/* _LINUX_RBF_FS_I */
